<template>
  <v-btn
    :text="text"
    rounded="pill"
    height="40"
    :color="color"
    :block="block"
    :loading="loading"
    :variant="variant"
    :disabled="disabled"
    :prepend-icon="prependIcon"
  >
    <template #append v-if="append">
      <slot name="append" />
    </template>
  </v-btn>
</template>

<script setup>
const props = defineProps({
  text: {
    type: String,
    default: ''
  },
  color: {
    type: String,
    default: 'primary'
  },
  variant: {
    type: String,
    default: 'elevated'
  },
  prependIcon: {
    type: String,
    default: undefined,
  },
  disabled: {
    type: Boolean,
    default: false,
  },
  loading: {
    type: Boolean,
    default: false,
  },
  append: {
    type: Boolean,
    default: false,
  },
  block: {
    type: Boolean,
    default: false,
  }
})
</script>

<style>
/* @import 'vuetify/styles'; */
@import "../../index.css";
</style>